Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Proxy_List Class Template Reference

Based on the ACE_Unbounded_Set<> collection, used a double linked list internally. More...

`#include <ESF_Proxy_List.h>`

Collaboration diagram for TAO_ESF_Proxy_List:

[legend]
List of all members.

## Public Types
typedef ACE_Unbounded_Set< PROXY *> | Implementation
| A typedef for the underlying implementaiton class. More...
typedef ACE_Unbounded_Set_Iterator< PROXY *> | Iterator
| A typedef for the underlying iterator. More...
## Public Methods
| TAO_ESF_Proxy_List (void)
| Constructor. More...
ACE_Unbounded_Set_Iterator< PROXY *> | begin (void)
| Return the first element in the collection, or end() if there are none. More...
ACE_Unbounded_Set_Iterator< PROXY *> | end (void)
| Return one past the last element in the collection. More...
size_t | size (void) const
| Return the number of elements in the collection. More...
void | connected (PROXY *ACE_ENV_ARG_DECL_NOT_USED)
| Insert a new element to the collection. More...
void | reconnected (PROXY *ACE_ENV_ARG_DECL_NOT_USED)
| Insert a new element that could be there already. More...
void | disconnected (PROXY *ACE_ENV_ARG_DECL_NOT_USED)
| Remove an element from the collection. More...
void | shutdown (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
| Shutdown the collection, i.e. remove all elements and release resources. More...
## Private Attributes
ACE_Unbounded_Set< PROXY *> | impl_
| The underlying implementation object. More...

## Detailed Description

### template<class PROXY>
class TAO_ESF_Proxy_List< PROXY >

Based on the ACE_Unbounded_Set<> collection, used a double linked list internally.

## Member Typedef Documentation

template<class PROXY>
typedef ACE_Unbounded_Set<PROXY*> TAO_ESF_Proxy_List::Implementation

| A typedef for the underlying implementaiton class.

template<class PROXY>
typedef ACE_Unbounded_Set_Iterator<PROXY*> TAO_ESF_Proxy_List::Iterator

| A typedef for the underlying iterator.

## Constructor & Destructor Documentation

template<class PROXY>
TAO_ESF_Proxy_List< PROXY >::TAO_ESF_Proxy_List | ( | void |  | ) |

| Constructor.

## Member Function Documentation

template<class PROXY>
ACE_INLINE ACE_Unbounded_Set_Iterator< PROXY *> TAO_ESF_Proxy_List< PROXY >::begin | ( | void |  | ) |

| Return the first element in the collection, or end() if there are none.

template<class PROXY>
void TAO_ESF_Proxy_List< PROXY >::connected | ( | PROXY * | ACE_ENV_ARG_DECL_NOT_USED | ) |

| Insert a new element to the collection.

template<class PROXY>
void TAO_ESF_Proxy_List< PROXY >::disconnected | ( | PROXY * | ACE_ENV_ARG_DECL_NOT_USED | ) |

| Remove an element from the collection.

template<class PROXY>
ACE_INLINE ACE_Unbounded_Set_Iterator< PROXY *> TAO_ESF_Proxy_List< PROXY >::end | ( | void |  | ) |

| Return one past the last element in the collection.

template<class PROXY>
void TAO_ESF_Proxy_List< PROXY >::reconnected | ( | PROXY * | ACE_ENV_ARG_DECL_NOT_USED | ) |

| Insert a new element that could be there already.

template<class PROXY>
void TAO_ESF_Proxy_List< PROXY >::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) |

| Shutdown the collection, i.e. remove all elements and release resources.

template<class PROXY>
ACE_INLINE size_t TAO_ESF_Proxy_List< PROXY >::size | ( | void |  | ) | const

| Return the number of elements in the collection.

## Member Data Documentation

template<class PROXY>
ACE_Unbounded_Set<PROXY*> TAO_ESF_Proxy_List::impl_`[private]`

| The underlying implementation object.

The documentation for this class was generated from the following files:

- ESF_Proxy_List.h
- ESF_Proxy_List.cpp
- ESF_Proxy_List.i